Subject: Re: bug#36714: 27.0.50; Gnus nnmaildir taking long time to recursively visit sub-Maildirs

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 19 Jul 2019 11:49:16 -0700

On 07/19/19 19:31 PM, Jean Louis wrote:
> * Eric Abrahamsen <[email-masked]> [2019-07-19 19:24]:
>> 
>> On 07/19/19 08:15 AM, Jean Louis wrote:
>> > * Eric Abrahamsen <[email-masked]> [2019-07-19 02:27]:
>> >> First of all, this isn't going to work until you've got Gnus into a
>> >> basic functioning state -- ie, it's already done a successful scan of
>> >> your nnmaildir backends.
>> >
>> > Thank you for helping. Yet it is not usable for
>> > me. I have too many maildirs and I was thinking
>> > Gnus would read it as maildirs, instead it started
>> > creating .nnmaildir directories inside with copies
>> > of those emails for its own way of processing.
>> 
>> Yeah, I don't think there's any way around the creation of the
>> .nnmaildir directories, at least not given the way Gnus currently
>> functions. They aren't actually copies of the emails -- just vectors of
>> headers for each mail -- but obviously if you've got a lot of mail they
>> still take up a lot of space.
>
> The solution I found is to bind my Read Mail menu
> to eshell-visual-command mutt.
>
> Thank you for being helpful.
>
> The bug shall be closed.

Closing now.

> But it would be good that Emacs has Maildir
> reading capabiliies. As it is just a file system
> with messages.

I agree! Perhaps at some point we'll figure out a way for Gnus to handle
enormous maildirs -- I hope so.